Method: projects.locations.migrationJobs.objects.list

Use this method to list the objects of a specific migration job.

HTTP request

GET https://datamigration.googleapis.com/v1/{parent}/objects

Path parameters

Parameters
parent

string

Required. The parent migration job that owns the collection of objects.

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of objects to return. Default is 50. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. Page token received from a previous ListMigrationJObObjectsRequest call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListMigrationJobObjectsRequest must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response containing the objects for a migration job.

If successful, the response body contains data with the following structure:

JSON representation
{
  "migrationJobObjects": [
    {
      object (MigrationJobObject)
    }
  ],
  "nextPageToken": string
}
Fields
migrationJobObjects[]

object (MigrationJobObject)

List of migration job objects.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • datamigration.objects.list

For more information, see the IAM documentation.